WPSTable Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
WPSTable Class Reference

`#include <WPSTable.h>`

Inheritance diagram for WPSTable:

## Public Member Functions
| WPSTable ()
| the constructor
WPSTable & | operator= (WPSTable const &)=default
virtual | ~WPSTable ()
| the destructor
void | add (WPSCellPtr &cell)
| add a new cells
int | numCells () const
| returns the number of cell
WPSCellPtr | getCell (int id)
| returns the i^th cell
bool | sendTable (WPSContentListenerPtr listener)
| try to send the table
bool | sendAsText (WPSContentListenerPtr listener)
| try to send the table as basic text

## Protected Member Functions
bool | buildStructures ()
| create the correspondance list, ...

## Protected Attributes
std::vector< WPSCellPtr > | m_cellsList
| the list of cells
std::vector< float > | m_rowsSize
| the final row and col size (in point)
std::vector< float > | m_colsSize

## Constructor & Destructor Documentation

## ◆ WPSTable()

WPSTable::WPSTable | ( |  | ) |
| inline

the constructor

Referenced by operator=().

## ◆ ~WPSTable()

WPSTable::~WPSTable | ( |  | ) |
| virtual

the destructor

## Member Function Documentation

## ◆ add()

void WPSTable::add | ( | WPSCellPtr & | cell | ) |

add a new cells

Referenced by WPS8Table::readMCLD().

## ◆ buildStructures()

bool WPSTable::buildStructures | ( |  | ) |
| protected

create the correspondance list, ...

Referenced by sendTable().

## ◆ getCell()

WPSCellPtr WPSTable::getCell | ( | int | id | ) |

returns the i^th cell

Referenced by WPS8TableInternal::Table::operator<<, and WPS8Table::readMCLD().

## ◆ numCells()

int WPSTable::numCells | ( |  | ) | const
| inline

returns the number of cell

Referenced by WPS8TableInternal::Table::operator<<, and WPS8Table::readMCLD().

## ◆ operator=()

WPSTable & WPSTable::operator= | ( | WPSTable const & |  | ) |
| default

## ◆ sendAsText()

bool WPSTable::sendAsText | ( | WPSContentListenerPtr | listener | ) |

try to send the table as basic text

## ◆ sendTable()

bool WPSTable::sendTable | ( | WPSContentListenerPtr | listener | ) |

try to send the table

Note: either send the table ( and returns true ) or do nothing.

## Member Data Documentation

## ◆ m_cellsList

std::vector<WPSCellPtr> WPSTable::m_cellsList
| protected

the list of cells

Referenced by add(), buildStructures(), getCell(), numCells(), sendAsText(), sendTable(), and WPSTable().

## ◆ m_colsSize

std::vector<float> WPSTable::m_colsSize
| protected

Referenced by buildStructures(), sendTable(), and WPSTable().

## ◆ m_rowsSize

std::vector<float> WPSTable::m_rowsSize
| protected

the final row and col size (in point)

Referenced by buildStructures(), sendTable(), and WPSTable().

The documentation for this class was generated from the following files:

- WPSTable.h
- WPSTable.cpp